# Claim assets on destination chain

As we mentioned in [section.5](https://app.gitbook.com/o/zsuLq6nkAsruS3oE16NY/s/TzgQbqR8ub1ustDteGf4/~/changes/32/quick-start/rollin-erc20-tokens-to-cycle), users need to claim the assets that rolled out from Cycle to be acquired on the destination chain. The procedures of claiming are composed of two parts, getting rollout transactions and claiming assets corresponding to a specific rollout. First, we need to have all unclaimed rollout transactions listed. Thanks to SDK, we just have to call a single function instead of going through all transactions recorded on a Cycle to get them.

```typescript
interface ListBridgeTransactionsResult {
    deposits: Deposit[];
    total_cnt: number;
}

interface NetworkService {
    listBridgeTransactions)
        version: string,
        owner: string,
        page: number = 0,
        pageSize: number = 10
    ): Promise<ListBridgeTransactionsResult>
}

service.zkEvmNetwork.listBridgeTransactionsBySender(
    'starfish',
    '0x1234...',
)
```

Then we need to find out which rollout asset we want to acquire, and then claim it by calling SDK method.

```typescript
async function claimRollout(
    transactionHash: string,
    tokenId: number
) {
    const client = await getZkEvmClient()
    const erc20Token = client.customERC20(tokenId)
    const result = await erc20Token.depositClaim(transactionHash)
    const txHash = await result.getTransactionHash()
    const receipt = await result.getReceipt()
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyclenetwork.io/cycle-network-docs/quick-start/claim-assets-on-destination-chain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
